Add a task type to a project template

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
POST /data/project-templates/{project_template_id}/task-types

Add a task type to a project template. If the task type is already in the template, the route changes its values. A request without bitrates keeps the current bitrates. You must be an administrator.

Path parameters

  • project_template_id string(uuid) Required

    Unique identifier of the project template

application/json

Body Required

  • task_type_id string(uuid) Required

    Task type to add

  • priority integer

    Priority of the task type in the template

  • hd_bitrate_compression integer

    Bitrate of the high definition movies

    Minimum value is 1.

  • ld_bitrate_compression integer

    Bitrate of the low definition movies

    Minimum value is 1.

  • is_client_visible boolean

    Show the task type to the clients. If the field is not in the body, an existing link keeps its value.

Responses

  • 201

    The new link

  • 400

    The body is not valid, or an identifier does not exist

  • 403

    You are not an administrator

  • 404

    The project template does not exist

POST /data/project-templates/{project_template_id}/task-types
curl \
 --request POST '/api/data/project-templates/a24a6ea4-ce75-4665-a070-57453082c250/task-types' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json" \
 --data '{
  "task_type_id": "string",
  "priority": 42,
  "hd_bitrate_compression": 42,
  "ld_bitrate_compression": 42,
  "is_client_visible": true
}'
Request examples
{
  "task_type_id": "string",
  "priority": 42,
  "hd_bitrate_compression": 42,
  "ld_bitrate_compression": 42,
  "is_client_visible": true
}